@font-face{
  font-family: 'LexendPeta';
  src: url('../fonts/LexendPeta-Regular.ttf') format('truetype');

}

*{
  margin: 0;
  outline: none;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  display: flex;
  width: 100vw;
  height: 100vh;
}

main {
  font-family: 'LexendPeta';
  display:flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  z-index: 10;
  overflow: auto;
  max-width: 2000px;
}

main::-webkit-scrollbar{
  width: 8px;
  height: 8px;
  background-color: rgba(128,128,128,0.1);
}

main::-webkit-scrollbar-thumb {
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: rgba(0,0,0,0.3);
}

main::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
	
}

main::-webkit-scrollbar-corner {
  background-color: rgba(128,128,128,0.1);
}

.background-container {
  margin: 4vh 7vh;
  position: relative;
  display: flex;
  flex:1;
  background-image: radial-gradient(circle at 20% 10%, #404245, #1a1b20 50%);
  box-shadow: 0 0 30px 5px rgba(0,0,0,0.5);
  overflow: hidden;
  z-index: 2;
}

.background {
  display: flex;
  width: 100vw;
  height: 100vh;
  background-image: linear-gradient(to right,#44464c , #6b6d70 35%,#5b5d63 70%, #35373d );
  z-index: 1;
}

.cabecalho{
  display: flex;
  padding: 0 30px 20px 30px;
  color: rgba(255,255,255,0.9);
  font-size: 18px;
  box-shadow: 0px 4px 7px 0px rgba(0,0,0,0.4);
  width: 100%;

}

.cabecalho-container{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-left: 30px;
  justify-content: space-between;
  width: 100%;
}

.svg-github {
  height: 40px;
  width: 40px;
  transition: all 0.3s;
}

.svg-github:hover {
  transform: rotate(360deg);
}

.buscar-container{
  position: relative;
  display: flex;
  align-items: center;
  max-width: 450px;
  margin-top: 20px;
  height:35px;
  border-bottom: solid 1px rgba(255,255,255,0.7);
  margin-top:20px;
}

.input-usuario{
  position: relative;
  font-family: 'LexendPeta';
  font-size: 18px;
  background-color: transparent;
  border: none;
  color: rgba(255,255,255,0.9);
  width: 100%;
  margin-right: 10px;
}

.buscar-container::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  height: 2px;
  width: 0%;
  background-color: #ff570b;
  transition: 0.4s;
}

.buscar-container:hover::after {
  width: 100%
}
.dados-descricao::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  height: 2px;
  width: 0%;
  background-color: #ff570b;
  transition: 0.5s;
}

.dados-grupo:hover .dados-descricao::after {
  width: 100%
}

.dados-grupo:hover .dados-titulo{
  background-color: #ff570b;
  color: rgba(255,255,255,0.9)
}


.buscar-button {
  background-color:transparent;
  border: none;
  padding: 10px;
  cursor: pointer;
  animation: escala 0.8s infinite;
}

.buscar-button > img {
  height: 20px;
  width: 20px;
} 

.titulo{
  display:flex;
  margin-top: 20px;
  margin-right: 30px;
  text-transform: uppercase;
}

.avatar-usuario{
  width: 100%;
  max-width: 400px;
  max-height: 400px;
  box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
  border-radius: 5%;
}

.avatar {
  margin: 0 30px 20px 0;
}

#usuario{
  display: flex;
  flex-wrap: wrap;
  padding: 30px;
  width: 100%;
  height: fit-content;
}

.dados-usuario{
  display:flex;
  flex-direction: column;
  flex:1;
  width: 100%;
}

.dados-grupo{
  display:flex;
  flex-wrap: wrap;
  align-items: center;
  margin-bottom: 10px;
}

.dados-titulo{
  display: flex;
  margin: 10px 0;
  font-size: 16px;
  background-color: rgba(255,255,255,0.9);
  margin-right: 25px;
  padding: 5px;
  border-radius: 5px;
  color: #333;
  height: 30px;
  width: 165px;
  align-items: center;
  transition: 0.5s;
}

.dados-descricao {
  position: relative;
  display:flex;
  font-size: 16px;
  border-bottom: 1px solid rgba(255,255,255,0.7);
  color: rgba(255,255,255,0.9);
  min-height: 30px;
  flex:1;
}

.dados-descricao a{
  text-decoration: none;
  color:rgba(255,255,255,0.9);
}

.sobre-descricao{
  color: rgba(255,255,255,0.9);
  font-size: 16px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sobre-titulo{
  position: absolute;
  font-size: 16px;
  background-color: rgba(255,255,255,0.9);
  padding: 5px;
  border-radius: 5px;
  color: #333;
  height: 30px;
  width: 90px;
  left: -1px;
  top: -1px;
  transition: 0.5s;

}

.dados-sobre{
  position: relative;
  display: flex;
  border: 1px solid rgba(255,255,255,0.7);
  border-radius: 5px;
  width: 100%;
  padding: 40px 30px 30px 30px;
  margin-top: 10px;
  transition: 0.5s;
}

.dados-sobre:hover{
  border: 1px solid #ff570b;
}

.dados-sobre:hover .sobre-titulo{
  background-color: #ff570b;
  color:rgba(255,255,255,0.9);
}

.dados-botao{
  display:flex;
  justify-content: flex-end;
  width: 100%;
}

.conteudo {
  display: flex;
  height: 100%;
}

.button-repositorio {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  width: 100%;
  color: rgba(255,255,255,0.9);
  background-color: #ff570b;
  font-size: 18px;
  cursor: pointer;
  height: 40px;
  border-radius: 10px;
  margin-top: 20px;
  text-transform: uppercase;
  transition: all 0.3s cubic-bezier(0.6, 2.1, 0.57, 0.85);
}

.button-repositorio:hover {
  transform: scale(1.05);

}

#repositorios {
  display: none;
  flex:1;
  flex-direction: column;
  justify-content: space-between;
}

.cabecalho-repositorios{
  margin-top: 15px;
  position: relative;
  padding: 15px 30px;
  display: flex;
  align-items: center;
  width: 100%;
  height: 50px;
  background-color: #ff570b;
}
.titulo-repositorio{
  display: flex;
  flex:1;
  justify-content: center;
  color:rgba(255,255,255,0.9);
  font-size: 20px;
  text-transform: uppercase;
}
.voltar {
  height: 100%;
  width: 100%;
}

.button-voltar{
  padding: 0;
  display:flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  border:none;
  height: 30px;
  width: 30px;
  cursor: pointer;
  transition: all 0.3s cubic-bezier(0.6, 2.5, 0.57, 0.85);
}

.button-voltar:hover{
  transform: scale(1.1);
}

.conteudo-repositorios{
  padding: 20px 30px; 
  flex:1;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
}

.conteudo-repositorios a{
  text-decoration: none;
  cursor: pointer;
  max-width: 49%;
  height: fit-content;
}

.conteudo-repositorios a *{
  cursor: pointer;
}

.card {
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  min-height: 120px;
  background-color: rgba(26,27,32,0.4);
  width: 100%;
  border-radius: 7px;
  padding: 10px 20px;
  box-shadow: 0px 5px 5px 5px rgba(0,0,0,0.45);
  transition: all 0.4s;
}

.card:hover {
  box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.45);
  filter: invert(100%);
}


.circulo{
  height: 15px;
  width: 15px;
  border-radius: 50%;
  background-color: #ff570b;
  margin-right: 5px;
  white-space: nowrap;
}

.separador-card {
  display:flex;
  flex-wrap: wrap;
}

.separador-card > div{
  display:flex;
  align-items: center;
  margin-right: 20px;
  margin-top: 20px;
}

.card-titulo{
  font-size: 16px;
  color: #0366d6;
}

.card-descricao{
  margin-top: 20px;
  font-size: 14px;
  color: rgba(255,255,255,0.4);
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.card-linguagem{
  font-size: 14px;
  color: rgba(255,255,255,0.5);
}

.star{
  height: 16px;
  width: 16px;
  margin-right: 5px;
}
.fork{
  height: 16px;
  width: 16px;
  margin-right: 5px;
}

.paginacao{
  display:flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 30px;
}
.paginacao button {
  background-color: transparent;
  border:none;
  color: rgba(255,255,255,0.7);
  cursor: pointer;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.3);
  border-radius: 7px;
}

.numeros button {
  padding: 8px 8px;
  font-size: 16px;
  margin-right: 10px;
  transition: 0.3s;
}

.numeros button:hover {
  transform: scale(1.2);
}

.github-icon{
  display:block;
  margin-top:20px;
}

.pagina-atual {
  color: #ff570b !important;
}

.ultimo,
.proximo,
.anterior,
.primeiro {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25px;
  height: 25px;
  margin-right: 10px;
  transition: 0.3s;
}

.ultimo:hover,
.proximo:hover,
.anterior:hover,
.primeiro:hover {
  transform: scale(1.2);
}

.esquerda, 
.direita {
  width: 100%;
  height: 100%;
}

.direita {
  transform: rotate(180deg);
}

@media (max-width: 666px) {
  .github-icon{
    display:none;
  }

  .avatar{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 0 20px 0;
    width: 100%;
  }

  .titulo {
    margin: 20px 0 0 0;
  }

  .buscar-container{
    margin-left:0;
  }
  .background-container{
    margin:0;
  }

  .dados-grupo {
    flex-direction: column;
  }

  .dados-titulo{
    width: 100%;
    margin-right: 0;
  }
  .dados-descricao{
    margin-top:10px;
    width: 100%;
  }

  .cabecalho-container{
    margin:0;
  }

}

@media (max-width: 1200px) {

  .conteudo-repositorios{
    flex-direction: column;
  }

  .conteudo-repositorios a{
    max-width: 100%;
  }

}

@keyframes escala{
  0%, 100% { 
    transform:scale(1);
  }

  50% {
    transform:scale(1.2);
  }
}